# docker push

<!---MARKER_GEN_START-->
Upload an image to a registry

### Aliases

`docker image push`, `docker push`

### Options

| Name                      | Type | Default | Description                                 |
|:--------------------------|:-----|:--------|:--------------------------------------------|
| `-a`, `--all-tags`        |      |         | Push all tags of an image to the repository |
| `--disable-content-trust` |      |         | Skip image signing                          |
| `-q`, `--quiet`           |      |         | Suppress verbose output                     |


<!---MARKER_GEN_END-->

